This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510994 - Review Request: gtg - Personal organizer for the GNOME desktop
Review Request: gtg - Personal organizer for the GNOME desktop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 01:14 EDT by Yanko Kaneti
Modified: 2009-07-16 04:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 04:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2009-07-13 01:14:42 EDT
Spec URL: http://declera.com/~yaneti/gtg/gtg.spec
SRPM URL: http://declera.com/~yaneti/gtg/gtg-0.1.2-1.fc12.src.rpm
Description: 
Getting Things GNOME! (GTG) is a personal organizer for the GNOME desktop
environment inspired by the Getting Things Done (GTD) methodology. GTG is
designed with flexibility, adaptability, and ease of use in mind so it can be
used as more than just GTD software.

$ rpmlint  mock/fedora-10-i386/result/gtg-0.1.2-1.fc10.noarch.rpm mock/fedora-rawhide-x86_64/result/gtg-0.1.2-1.fc12.noarch.rpm 
gtg.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/GTG/gtg.py 0644 /usr/bin/env
gtg.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/GTG/gtg.py 0644 /usr/bin/env
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

The error can be ignored, the script is never executed directly.
Comment 1 Parag AN(पराग) 2009-07-13 02:00:22 EDT
1)Follow https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
2) why not to use desktop-file-install?
See 
http://fedoraproject.org/wiki/PackagingGuidelines#desktop-file-install_usage
3) you should use 
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
4) You can remove shebang in %prep as
sed -i -e "s|#!/usr/bin/env python||" GTG/gtg.py
Comment 2 Yanko Kaneti 2009-07-13 03:08:22 EDT
(In reply to comment #1)
> 1)Follow https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

Replaced with the ones from the snippets

> 2) why not to use desktop-file-install?
> See 
> http://fedoraproject.org/wiki/PackagingGuidelines#desktop-file-install_usage

Included the validate snippet.

> 3) you should use 
> %{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

Ok. 

> 4) You can remove shebang in %prep as
> sed -i -e "s|#!/usr/bin/env python||" GTG/gtg.py  

Ok. Although I think its best to leave upstream sources pristine unless it results in some package breakage.


SPEC: http://declera.com/~yaneti/gtg/gtg.spec
SRPM: http://declera.com/~yaneti/gtg/gtg-0.1.2-1.fc12.src.rpm

* Mon Jul 13 2009 Yanko Kaneti <yaneti@declera.com> 0.1.2-2
- Implement review feedback
  https://bugzilla.redhat.com/show_bug.cgi?id=510994#c1


Thanks
Comment 3 Yanko Kaneti 2009-07-13 03:09:21 EDT
SRPM: http://declera.com/~yaneti/gtg/gtg-0.1.2-2.fc12.src.rpm
obviously. Sorry for the spam.
Comment 4 Yanko Kaneti 2009-07-14 10:36:50 EDT
SPEC: http://declera.com/~yaneti/gtg/gtg.spec
SRPM: http://declera.com/~yaneti/gtg/gtg-0.1.2-3.fc12.src.rpm

* Tue Jul 14 2009 Yanko Kaneti <yaneti@declera.com> 0.1.2-3
- Use %%{__python} instead of python
Comment 5 Parag AN(पराग) 2009-07-15 03:21:07 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1474632
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fadea48aa04227eb92b496bec66a4f912823fcf0  gtg-0.1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ gtk-update-icon-cache scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI application

APPROVED.
Comment 6 Yanko Kaneti 2009-07-15 03:43:15 EDT
New Package CVS Request
=======================
Package Name: gtg
Short Description: Personal organizer for the GNOME desktop
Owners: yaneti
Branches: F-10 F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-07-16 01:38:14 EDT
cvs done.
Comment 8 Yanko Kaneti 2009-07-16 04:38:29 EDT
Imported. Builds done. Bodhi updates pending.
Thanks for the review. 
Anyone keen to co-maintain please apply in pkgdb.

Note You need to log in before you can comment on or make changes to this bug.